Subject: Re: fatal: index-pack failed

From: Robin Rosenberg <[email-masked]>
Date: Sun, 02 Oct 2011 15:47:12 +0200

Matti Linnanvuori skrev 2011-09-30 10.11:
> Jenkins got an error:
>
> Error performing command: git fetch -t ssh://[email-masked]/p/git/.git+refs/heads/*:refs/
> Command "git fetch -t ssh://[email-masked]/p/git/.git+refs/heads/*:refs/remotes/origin/*" returned status code 128: error: refs/remotes/origin/HEAD does not point to a valid object!
> error: refs/remotes/origin/master does not point to a valid object!
> error: refs/tags/jenkins-iac-orm-snapshot-889 does not point to a valid object!
> error: refs/remotes/origin/HEAD does not point to a valid object!
> error: refs/remotes/origin/master does not point to a valid object!
> error: refs/tags/jenkins-iac-orm-snapshot-889 does not point to a valid object!
> error: Could not read 49f273234b582edb44bbdbda29193719e5054cb7
> error: refs/remotes/origin/HEAD does not point to a valid object!
> error: refs/remotes/origin/master does not point to a valid object!
> error: missing object referenced by 'refs/tags/iac-1.4.13'
> error: refs/tags/jenkins-iac-orm-snapshot-889 does not point to a valid object!
> error: Could not read 49f273234b582edb44bbdbda29193719e5054cb7
> fatal: pack has 26 unresolved deltas
> fatal: index-pack failed

I saw this too a couple of weeks ago. I have no idea what caused it. 
After removing all refs from the remote and fetching again everything 
was fine. No system crash was involved.

(fresh) Hypothesis: A fetch updated the refs, but failed to get save the 
actual objects. I think git tries hard to make sure that this cannot happen.

In my case JGit might have been used to perform the fetch that failed. 
Since you say it's Jenkins, I'd guess not, since it uses C Git.

-- robin